unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls,
  JFLFile, ComCtrls, Unit2;

type

  { TForm1 }

  TForm1 = class(TForm)
    btn_dir: TButton;
    btn_file: TButton;
    btn_pack: TButton;
    btn_unpack: TButton;
    btn_checkJFL: TButton;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    Label4: TLabel;
    Progress: TMemo;
    pb_overall: TProgressBar;
    pb_particular: TProgressBar;
    Savelog: TSaveDialog;
    txt_dirForFiles: TEdit;
    txt_JFLfilename: TEdit;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    OpenDialog: TOpenDialog;
    SelectDirectory: TSelectDirectoryDialog;
    procedure btn_checkJFLClick(Sender: TObject);
    procedure btn_dirClick(Sender: TObject);
    procedure btn_fileClick(Sender: TObject);
    procedure btn_packClick(Sender: TObject);
    procedure btn_unpackClick(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1;

implementation

{ TForm1 }

procedure TForm1.btn_dirClick(Sender: TObject);
begin
     if SelectDirectory.Execute then
     txt_dirForFiles.Text:= SelectDirectory.FileName;
end;

procedure TForm1.btn_checkJFLClick(Sender: TObject);
begin
  initJFLMemoBox(Progress);
  initJFLFileProgress(pb_overall);
  InitJFLForReading(txt_JFLfilename.Text);
  checkJFLstructure();
  UninitJFL();
end;

procedure TForm1.btn_fileClick(Sender: TObject);
begin
     if OpenDialog.Execute then
          txt_JFLfilename.Text:= OpenDialog.FileName;
end;

procedure TForm1.btn_packClick(Sender: TObject);
begin
     initJFLMemoBox(Progress);
     initJFLFileProgress(pb_overall);
     initJFLAdditionalProgress(pb_particular);
     InitJFLForWriting(txt_JFLfilename.Text);
     createFullJFLFromDirectory(txt_dirForFiles.Text);
     UninitJFL();
end;

procedure TForm1.btn_unpackClick(Sender: TObject);
begin
     initJFLMemoBox(Progress);
     initJFLFileProgress(pb_overall);
     InitJFLForReading(txt_JFLfilename.Text);
     extractFullJFLtoDirectory(txt_dirForFiles.Text);
     UninitJFL();
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  if Savelog.Execute then
     Progress.Lines.SaveToFile(Savelog.FileName);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Progress.Clear;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  if frm_options.Visible = false then
  begin
    frm_options.show;
    exit;
  end;
    frm_options.hide;
end;

initialization
  {$I unit1.lrs}

end.

